/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.search.test.util;

import java.util.HashMap;
import java.util.Map;

/**
 * @author André de Oliveira
 */
public class SearchMapUtil {

	@SafeVarargs
	public static <K, V> Map<K, V> join(
		final Map<? extends K, ? extends V> map1,
		final Map<? extends K, ? extends V> map2,
		final Map<? extends K, ? extends V>... maps) {

		return new HashMap<K, V>() {
			{
				putAll(map1);
				putAll(map2);

				for (Map<? extends K, ? extends V> map : maps) {
					putAll(map);
				}
			}
		};
	}

}